| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StationInfo Class Reference

Class to store information of a station. More...

Inheritance diagram for EECFI.StationInfo:

List of all members.

## Public Member Functions
| StationInfo ()
| Empty Class constructor.
| StationInfo (long typeIn, String stationIdIn, String stationDBIn, double defaultAosIn, double defaultLosIn, long defaultMaskIn, double durIn)
| Parameter constructor.
| StationInfo (long typeIn, StationRec staIn, double defaultAosIn, double defaultLosIn, long defaultMaskIn, double durIn)
| Parameter constructor (for StationRec, reference is copied).
| StationInfo (StationInfo sta)
| Copy constructor (for StationRec, reference is copied).
## Public Attributes
long | type
| See XVStationTypeEnum.
String | stationId
| Station name.
String | stationDBFilename
| Station file database.
StationRec | stationData
| Station data (used if type = XVCFI_USE_ZONE_DATA).
double | defaultAos
| Default AOS.
double | defaultLos
| Default LOS.
long | defaultMask
| Default mask.
double | minDuration
| Minimum duration of segments (seconds).

## Detailed Description

Class to store information of a station.

Default_aos/los/mask shall be used either: if type = XVCFI_USE_STATION_FILE_AND_MASK_OVERRIDE, or if type = XVCFI_USE_STATION_DATA_AND_MASK_OVERRIDE or if type = XVCFI_USE_STATION_FILE and aos/los/mask are not defined in the file if type = XVCFI_USE_STATION_DATA and aos/los/mask are not defined in the data.

## Constructor & Destructor Documentation

EECFI.StationInfo.StationInfo | ( |  | ) |

Empty Class constructor.

EECFI.StationInfo.StationInfo | ( | long | typeIn,
|  | String | stationIdIn,
|  | String | stationDBIn,
|  | double | defaultAosIn,
|  | double | defaultLosIn,
|  | long | defaultMaskIn,
|  | double | durIn |
| ) |  |  |

Parameter constructor.

EECFI.StationInfo.StationInfo | ( | long | typeIn,
|  | StationRec | staIn,
|  | double | defaultAosIn,
|  | double | defaultLosIn,
|  | long | defaultMaskIn,
|  | double | durIn |
| ) |  |  |

Parameter constructor (for StationRec, reference is copied).

EECFI.StationInfo.StationInfo | ( | StationInfo | sta | ) |

Copy constructor (for StationRec, reference is copied).

## Member Data Documentation

double EECFI.StationInfo.defaultAos

Default AOS.

double EECFI.StationInfo.defaultLos

Default LOS.

long EECFI.StationInfo.defaultMask

Default mask.

double EECFI.StationInfo.minDuration

Minimum duration of segments (seconds).

StationRec EECFI.StationInfo.stationData

Station data (used if type = XVCFI_USE_ZONE_DATA).

String EECFI.StationInfo.stationDBFilename

Station file database.

String EECFI.StationInfo.stationId

Station name.

long EECFI.StationInfo.type

See XVStationTypeEnum.